/* Search Container */
.min-price, .max-price, .min-price-area, .max-price-area {
    float: left !important;
    border: 1px solid #ccc !important;
    border-radius: 4px !important;
    /*font-family: "Roboto Regular", Roboto, Arial !important;*/
    font-size: 14px !important;
    line-height: 20px !important;
    font-weight: normal !important;
    color: #2C2C2C !important;
    padding: 6px 16px !important;
    text-align: center !important;
    width: 100% !important;
    margin-bottom: 16px !important;
}

.dropdown-custom {
    border: 1px solid white !important;
    border-radius: 5px;
    padding-left: 15px;
    background-color: rgb(148 176 193 / 0%) !important;
    height: 32px !important;
    min-height: 32px !important;
    display: flex !important;
    justify-content: space-between !important;
    padding-right: 1em !important;
    align-items: center !important;
}

    .dropdown-custom .text {
        font-weight: 400 !important;
    }
/*.dropdown-custom .icon {
            top: auto !important;
        }*/
.custom-scroll {
    margin-left: -10px !important;
}

    .custom-scroll .item {
        cursor: pointer !important;
        padding-left: 10px !important;
        line-height: 24px !important;
    }

        .custom-scroll .item:hover {
            background-color: #F2F2F2 !important;
        }

        .custom-scroll .item.active {
            background-color: #F2F2F2 !important;
        }

.icon-toggle {
    margin: 0 !important;
    transition: transform 0.5s ease;
}

    .icon-toggle.rotate {
        transform: rotate(180deg);
    }

.custom-scroll-category .item, .custom-scroll-price .item, .custom-scroll-area .item, .custom-scroll-project-price .item, .custom-scroll-category .item {
    cursor: pointer !important;
    padding-left: 10px !important;
    display: flex !important;
    align-items: center !important;
    line-height: 24px !important;
    gap: 8px;
    justify-content: space-between;
    color: black;
}

    .custom-scroll-category .item:after, .custom-scroll-price .item::after, .custom-scroll-area .item::after, .custom-scroll-project-price .item::after, .custom-scroll-category .item::after {
        content: none !important;
    }

.item-icon {
    display: flex;
    align-items: center;
    gap: 8px;
}

.search-container {
    padding: 20px;
    border-radius: 8px;
    width: 78%;
    max-width: 960px;
    color: white;
    position: absolute;
    top: 34%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

#Tab {
    background-color: rgba(0, 51, 102, 0.8);
    padding: 1rem 1.5rem;
    border-radius: 1rem;
    width: 100%;
    max-width: 960px;
    margin: auto;
    margin-top: 1.5rem;
}

/* Centered tabs */
.tab-menu {
    /* display: flex;
    justify-content: center;*/
}

/* Search bar styling */
.ui.input input {
    border-radius: 4px 0 0 4px;
}

/* Search button */
.ui.button.search-button {
    background-color: #2a618f;
    color: white;
}

.search-button:hover {
    opacity: 0.8;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.grid .ui.selection.dropdown {
    width: 100%;
    background-color: rgba(148, 176, 193, 0.8);
    color: white;
}

.ui.input > input {
    border: none;
    height: 100%;
}

.divider {
    /*border-left: 2px solid #ccc;*/
    padding-left: 10px;
    margin: 10px 0;
}

.ui.compact.selection.dropdown {
    border: none !important;
    box-shadow: none !important;
}

/* Styling for button */
.ui .button .button-menu {
    padding: 10px 20px;
    border: none !important;
    cursor: pointer;
    color: black;
    font-size: 16px;
    margin-right: 5px;
    padding-bottom: 40px;
}

    /* Styling for the active button */
    .ui.button.button-menu.active {
        background-color: rgba(0, 51, 102, 0.8);
        color: white;
    }

.ui.button.top-rounded {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    /*padding-bottom: 20px;*/
    background-color: rgba(255, 255, 255, 0.8);
}

.ui.dropdown:not(.button) > .default.text, .ui.default.dropdown:not(.button) > .text {
    color: white;
}

.title-content {
    font-weight: bold;
    font-size: 22px;
    color: var(--text-primary);
    border-bottom: 4px solid var(--text-secondary);
}

.ui.card .header {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.text-truncate {
    display: -webkit-box !important;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.text-truncate-1 {
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal !important;
}

.city-card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    width: 100%;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

    .city-card img {
        width: 100%;
        height: auto;
        border-radius: 1rem;
    }

    .city-card .content {
        position: absolute;
        bottom: 10px;
        left: 22px;
        color: white;
        z-index: 2;
        text-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
        top: 10px;
    }

        .city-card .content h2 {
            font-size: 16px;
            font-weight: 500;
            margin: 0;
        }

        .city-card .content p {
            font-size: 0.9em;
            margin: 0;
        }

.ui.card .sub-title {
    border-radius: 4px !important;
}

.article-card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    width: 100% !important;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 4px 4px 0px !important;
    border: 1px solid white;
}

    .article-card .sub-title {
        position: absolute;
        left: 6px;
        color: white;
        padding: 2px;
        background-color: rgba(0, 0, 0, 0.7);
        z-index: 2;
        text-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
        top: 6px;
        margin-right: 6px;
    }

    .article-card img {
        min-height: 174px;
    }

.box-text-service {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    border-radius: 1rem !important;
    border: 2px solid #2a618f;
    height: 100px;
    padding: 10px;
}

    .box-text-service .text-title-service {
        font-size: 22px;
        font-weight: bold;
        color: #2a618f;
    }

.content-right {
    /*margin-top: 35px;*/
}

    .content-right a {
        color: var(--text-primary);
    }

        .content-right a:hover {
            color: #00436b !important;
        }

.padding-14 {
    padding: 0 !important;
    padding-top: 14px !important;
    padding-bottom: 14px !important;
}

.dropdown-content {
    display: none;
    position: absolute;
    z-index: 10;
    background: white;
    width: 100%;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 20px;
    left: 0;
    overflow: hidden auto;
    /*max-height: 400px;*/
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    cursor: pointer;
}

.dropdown-header {
    font-size: 13px;
    font-weight: 600;
    margin-bottom: 10px;
}

.button-group {
    /*margin-bottom: 20px;*/
}

    .button-group .ui.button {
        margin-right: 10px;
        margin-bottom: 20px;
    }

    .button-group .ui.label {
        margin-right: 10px;
        margin-bottom: 10px;
        display: flex;
    }

.grid-list {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    max-height: 300px;
}

    .grid-list span {
        font-size: 14px;
        color: rgba(0, 0, 0, 0.6);
    }

        .grid-list span:hover {
            color: rgba(0, 0, 0, 0.8);
            background-color: rgba(224, 225, 226, 0.5);
            cursor: pointer;
        }

.ui.dropdown:not(.button) > .default.text, .ui.default.dropdown:not(.button) > .text {
    color: white;
    font-weight: 600;
}

/* Dropdown Content */
.dropdown-content-item {
    display: none;
    position: absolute;
    z-index: 10;
    background: white;
    min-width: 287px;
    width: 97%;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    padding: 10px;
    height: 410px;
    max-height: 410px;
    margin-top: 5px;
}

.dropdown-content-item-project {
    display: none;
    position: absolute;
    z-index: 10;
    background: white;
    min-width: 287px;
    width: 97%;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    padding: 10px;
    max-height: 410px;
    margin-top: 5px;
}

.dropdown-header-item {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: 500;
    border-bottom: 1px solid #F2F2F2;
    padding-bottom: 15px;
    padding-top: 5px;
}

.btn-close-item {
    cursor: pointer;
    color: black;
    margin-top: 5px !important;
}

.actions-item {
    padding-top: 10px;
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #F2F2F2;
}

    .actions-item .button:last-child {
        margin-right: 0 !important;
    }

.actions button {
    width: 45%;
}

/* Custom slider styles */
.slider-container {
    margin: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

    .slider-container input {
        width: 40%;
        border: 1px solid #ddd;
        border-radius: 4px;
        padding: 5px;
    }

.slider {
    width: 100%;
}

.custom-dropdown {
    width: 100%;
}

.ui.selection.dropdown .menu {
    overflow-y: auto;
}

/* Slideshow container */
.slideshow-container {
    position: relative;
    width: 100%;
    height: 360px; /* Chiều cao cố định */
    /*overflow: hidden;*/
}

.tab-menu .active {
    background-color: #717171;
}

/* Fading animation */
.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 3s;
    animation-name: fade;
    animation-duration: 3s;
}

.login-banner {
    width: 100%;
    height: 360px;
    object-fit: cover;
}

.mySlides {
    max-height: 360px;
    background-size: cover;
    background-position: center;
    /*overflow: hidden;*/
    display: none;
}

    .mySlides img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        opacity: 0;
        transition: opacity 0.5s ease-in-out;
    }

        .mySlides img.loaded {
            opacity: 1;
        }

.prev, .next {
    display: none;
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    background-color: rgba(24, 78, 119, 0.8);
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

    /* On hover, add a black background color with a little bit see-through */
    .prev:hover, .next:hover {
        background-color: rgba(24, 78, 119, 1);
    }

.dot-container {
    position: absolute;
    bottom: 10px; /* Cách mép dưới ảnh 10px */
    left: 50%;
    transform: translateX(-50%); /* Căn giữa ngang */
    display: flex;
    gap: 8px; /* Khoảng cách giữa các dots */
    justify-content: center;
    align-items: center;
}

.dot {
    height: 8px;
    width: 8px;
    background-color: rgba(255, 255, 255, 0.6);
    border-radius: 50%;
    display: inline-block;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .dot:hover {
        background-color: white; /* Thay đổi màu khi hover */
    }

    .dot.active {
        background-color: #ffffff; /* Màu trắng sáng khi active */
        box-shadow: 0px 0px 8px rgba(255, 255, 255, 0.8); /* Tạo hiệu ứng nổi */
    }

/* Disabled buttons */
.prev.disabled,
.next.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.card-box {
    border-radius: 1rem !important;
    /*transition: transform 0.2s ease, box-shadow 0.2s ease;*/
    border: 0.05px solid white !important;
}

    .card-box:hover {
        /*transform: translateY(-2px);*/
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2) !important;
        border: 0.05px solid #4CAF50 !important;
    }

.service-box {
    border-radius: 4px;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

    .service-box:hover {
        transform: translateY(-2px);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        border: 0.05px solid #4CAF50;
    }

.ui.label {
    background-color: #f4f4f4;
    color: #333;
    border-radius: 15px;
    font-size: 14px;
    padding: 10px;
    display: inline-flex;
    align-items: center;
}

    .ui.label .icon {
        margin: 0 5px;
    }

    .ui.label .delete.icon:hover {
        color: #888;
    }

.menu .item:hover {
    background-color: #f5f5f5;
}

.font-text {
    font-size: 16px;
}


.unit-icon {
    margin-top: 0;
}

.opacity-text:hover {
    opacity: 0.6;
}

.section-main {
    background-color: var(--background-main);
}

.section-secondary {
    background-color: var(--background-secondary);
}

.box {
    border-radius: 1rem !important;
    border: 0.1px solid white !important;
}

    .box:hover {
        /*box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2) !important;*/
        border: 0.5px solid #4CAF50 !important;
    }

.mt-r-5 {
    margin-right: 5px;
}

.row-centter {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

.align-items-center {
    align-items: center;
}

.list-inline {
    width: 100%;
    list-style: none;
    margin: 0;
    /* This approach uses flexbox */
    align-items: center;
    flex-wrap: nowrap;
    padding-left: 5px !important;
    display: flex;
    /*padding: 1% 0;*/
    overflow: hidden
}

    /* 
	You could alternatively style the list items themselves 
	This isn't needed if you use flexbox
*/
    .list-inline li {
        display: inline-block;
        width: 100%;
    }

        .list-inline li:not(:last-child) {
            margin-right: 1em;
        }

.list-inline {
    width: 100%;
    margin-right: 0px;
}

.tab-item .search-input-bar {
    width: 100%;
    margin-bottom: 15px;
    background-color: white;
    border-radius: 4px;
    align-items: center;
    height: 46px;
}

.dropdown-menu-location {
    align-items: center;
    padding-left: 10px;
}

.dividerbar {
    color: darkgray;
    font-size: 30px;
    font-weight: 200;
}

.map-color-icon {
    color: crimson;
    display: flex;
}

.btn-search {
    display: inline-block;
    max-width: 160px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.btn-search-project {
    display: inline-block;
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.btn-with-bg {
    position: relative;
    width: 130px;
    height: 80px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    transition: transform 0.3s ease, filter 0.3s ease;
    margin-bottom: 20px;
}

    .btn-with-bg::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: var(--bg-image);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        z-index: 0;
        transition: transform 2s ease, filter 2s ease;
        transform: scale(1);
        filter: brightness(0.6);
    }

    .btn-with-bg:hover::before {
        transform: scale(1.2);
        filter: brightness(1);
    }

.btn-text {
    position: absolute;
    bottom: 6px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    color: white;
    font-size: 14px;
    font-weight: bold;
    padding: 5px 10px;
    text-align: center;
    white-space: nowrap;
}

h1, h2, h3, h4, h5 {
    line-height: 1.3em !important;
}

.ui.card > .content {
    padding: 0.6em 1em;
}

div:where(.swal2-icon) {
    margin: 1.8em auto .6em;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
    background-color: var(--text-highlight);
    border-radius: 4px;
}

    div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm:focus,
    div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm):focus-visible {
        box-shadow: none;
    }

.stretched-content {
    line-height: 1.3;
}

.stretched-title {
    font-size: 24px;
}

.tab-stretched-content {
    background-color: var(--background-main);
}

.ui.vertical.right.tabular.menu .item, .ui.vertical.right.tabular.menu .active.item {
    border: none;
    border-radius: 0;
    color: var(--text-muted);
    font-weight: 500;
    padding: 10px 0 !important;
}

.ui.vertical.right.tabular.menu {
    border-left: none;
}

.tab-button-stretched {
    font-family: 'Lexend', Arial, sans-serif !important;
    font-size: 16px !important;
    font-weight: 500 !important;
}

    .tab-button-stretched:hover {
        border-bottom: 2px solid var(--text-highlight);
        color: #000;
    }


.ui.tabular.menu .item {
    padding: 0 !important;
}

.stretched-menu {
    border: none !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    /*padding: 0 !important;*/
}

.ui.divider:not(.vertical):not(.horizontal) {
    border-top: 1px solid rgba(34, 36, 38, 0.05);
}

.padding-service {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}

.section-search-mobile {
    display: none;
}

.search-input-bar ._citylocation-pick {
    width: 25% !important;
    align-content: center;
}

.filter-search-category {
    padding: 0 10px !important;
}

    .filter-search-category .column-custom {
        padding-left: 5px !important;
        padding-right: 5px !important;
    }

.search-input-text-bar {
    width: 75% !important;
    align-content: center;
}

#dropdown-menu-sale-arrow {
    display: none !important;
}


.mobile-search-close-icon {
    display: none !important;
}

.xem-them-tin-tuc-mobile {
    display: none;
    text-align: center;
}

.xem-them-tin-tuc {
    display: block;
}

.project-card {
    width: 25%;
    padding: 7px;
}

.knowledge-card {
    width: 25%;
    padding: 7px;
}

.text-hint-search-mobile {
    display: none;
}

.project-slider .slick-list {
    margin-left: -8px !important;
}

.knowledge-slider .slick-list {
    margin-left: -8px !important;
}

.mobile-display {
    display: none !important;
}

.tab-button-news {
    border: none;
    padding: 8px 8px !important;
}

/*Gio hang khuyen mai*/
/* Làm cho modal trong suốt */
.ui.modal.transparent {
    background: none;
    box-shadow: none;
}

.image-container img {
    width: 90%;
}

.ui.modal .content {
    background: transparent !important;
}

.ui.modal .image-container {
    text-align: center;
    position: relative;
    display: inline-block;
}

    .ui.modal .image-container img {
        max-width: 65%;
        border-radius: 4px;
    }

/* Nút đóng modal */
.close-button {
    position: absolute;
    bottom: 95%;
    left: 80.5%;
    background: rgba(255, 255, 255, 0.8);
    border: none;
    border-radius: 50%;
    width: 34px;
    height: 34px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    outline: none;
}

.ui.button.close-button:focus {
    outline: none;
}

.ui.button.close-button:focus-visible {
    outline: none;
}

.close-button:hover {
    background: rgba(255, 255, 255, 1);
    border: none;
}

/* Kiểu cho Flash Sale */
#clockdiv {
    color: #fff;
    display: inline-block;
    font-weight: bold;
    text-align: center;
    font-size: 13px;
    margin-top: 20px;
    display: flex;
    gap: 5px;
}

    #clockdiv > div {
        display: flex;
        gap: 5px;
        position: absolute;
        transform: translateX(64%);
    }

    #clockdiv .item-sale {
        padding: 4px 8px;
        border-radius: 8px;
        background: linear-gradient(180deg, #4caf50, #003366);
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        /*margin-bottom: 8px;*/
    }

    #clockdiv div > span {
        border-radius: 4px;
        display: inline-block;
        margin-right: 5px;
    }

.smalltext {
    font-size: 13px;
    font-weight: 200;
}

.text-date {
    display: flex;
    position: absolute;
    bottom: 21%;
    left: 30.5%;
    font-size: 18px;
    font-weight: 800;
    color: #E63140;
}


.ui.dimmer.active {
    /*background-color: rgba(0, 0, 0, 0.5) !important;*/
}

.mobile-show {
    display: none;
}

.btn-danh-ba {
    width: 100%;
    cursor: pointer;
}

    .btn-danh-ba:hover {
        opacity: 0.6;
    }

.search-mobile {
    border-radius: 4px;
    min-width: 107px;
    align-items: center;
    justify-content: center;
    margin: 4px;
}

.tooltip {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    padding: 5px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    display: none;
}

.border-highlight {
    border: none;
    border-radius: 8px;
}

.multibutton-selected-location li {
    font-weight: 600 !important;
}

.map-color-icon {
    background: none !important;
    align-items: center;
}

.project-color-icon {
    background: none !important;
    align-items: center;
    color: #2859c5 !important;
}

.custom-scroll-header .item {
    display: flex;
    align-items: center;
    gap: 6px;
}

.rotate-180 {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}
.posts-for-you-grid.ui.grid {
    margin-left: -8px !important;
    margin-right: -8px !important;
}

    .posts-for-you-grid.ui.grid > .column {
        padding-left: 8px !important;
        padding-right: 8px !important;
        padding-top: 8px !important;
        padding-bottom: 8px !important;
    }
    .posts-for-you-grid.ui.grid ._post-basic-partial {
        border-radius: 1rem !important;
    }
    .posts-for-you-grid.ui.grid > .column .ui.card, .slick-list .ui.card {
        border-radius: 1rem !important;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px !important;
    }

            .posts-for-you-grid.ui.grid > .column .ui.card:hover {
                box-shadow: rgba(0, 0, 0, 0.16) 0px 2px 8px !important;
            }

._post-basic-partial .thumbnail-avatar {
    border-top-left-radius: 13px !important;
    border-top-right-radius: 13px !important;
}
._post-basic-partial .ui.raised.segments, ._post-basic-partial .ui.raised.segment {
    border-radius: 1rem !important;
}
.project-card .ui.card > :first-child {
    border-top-left-radius:1rem !important;
    border-top-right-radius:1rem !important;
}
.ui.grid.homegape-four-image {
    margin-left: -0.5rem !important;
    margin-right: -0.5rem !important;
    margin-top: -0.5rem !important;
}

    .ui.grid.homegape-four-image > .column {
        padding: 0.5rem !important;
    }

.homegape-four-image .city-card,
.homegape-four-image .city-card img {
    width: 100% !important;
    display: block;
}

    .homegape-four-image .city-card img {
        height: 100% !important;
        object-fit: cover !important;
    }
/*Mobile mode*/
@media screen and (max-width:420px) {
    #clockdiv > div {
        left: 41% !important;
        top: 95% !important;
        transform: none;
    }

    #clockdiv .item-sale {
        display: inline-block;
    }
}

@media screen and (max-width:480px) {
    .search-container {
        display: none;
        margin-top: 20%;
        padding: 0 !important;
        border-radius: 8px !important;
        width: 100% !important;
    }

    .dropdown-content {
        padding: 0 6px !important;
    }

    #search-container.ui.fullscreen.modal {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        width: 100% !important;
        height: 100% !important;
        max-height: 100%;
        overflow-y: auto;
        z-index: 1050;
        margin: 0 !important;
    }

    .button-group .ui.label {
        margin-right: 10px;
        margin-bottom: 1.5%;
        padding: 2%;
    }

    #btn-search {
        width: 100% !important;
        border-radius: 8px !important;
        height: 48px !important;
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
    }

    #_list-location-selection {
        color: black !important;
    }

    #_location-selecting-panel {
        position: relative !important;
        height: auto;
    }

        #_location-selecting-panel .dropdown-header {
            margin-top: 3%;
            margin-right: 1%;
        }


    #dropdown-menu-sale {
        width: 90%;
        margin-bottom: 1%;
        background: unset !important;
        justify-content: start !important;
        align-items: center !important;
        display: flex !important;
        padding-left: 0;
    }

    .text-hint-search-mobile {
        display: block;
        margin-right: 1%;
    }

    .icon-search-hint-mobile {
        display: none !important;
    }

    .mobile-display-none {
        display: none;
    }

    #dropdown-menu-sale-arrow {
        display: block !important;
    }

    .default-text-mobile {
        color: var(--text-highlight) !important;
    }

    .search-input-bar .ui.container {
        width: 100% !important;
        margin-left: 0 !important;
    }

    .search-input-text-bar {
        width: 100% !important;
        align-content: center;
    }

    #Tab {
        background-color: #ffffff !important;
        /*height: 90%;*/
        padding: 5px;
        height: 100dvh !important;
    }

    .menu.custom-scroll .item {
        text-align: justify;
        cursor: pointer;
    }

    #_list-location-selection-panel .dropdown-header {
        color: black;
        padding: 2%;
    }

    #_location-selecting-mobile-panel {
        margin-bottom: 3%;
    }

    .search-container .tab-menu {
        background-color: currentcolor !important;
        justify-content: center !important;
    }

    .mobile-not-show {
        display: none !important;
    }

    .dividerbar {
        display: none !important;
    }

    .filter-search-category {
        display: none !important;
    }

    .ui .container .slideshow-container .prev .next {
        display: none !important;
    }

    .section-search-mobile {
        display: block;
    }

        .section-search-mobile .cards .card .image {
            height: 48px;
            width: 48px;
            background: unset;
            margin-top: 10%;
        }

        .section-search-mobile .cards {
            margin: unset;
            justify-content: space-around;
        }

            .section-search-mobile .cards .card {
                height: 84px;
                width: calc((100% - 56px) / 4);
                align-items: center;
                text-align: center;
                /*background: rgba(128, 203, 196, 0.2);*/
                cursor: pointer;
                border: none;
                box-shadow: 0px 1px 3px 0px #80CBC4, 0px 0px 0px 1px #80CBC4;
            }

                .section-search-mobile .cards .card .content {
                    border-top: 0;
                    padding: 7px;
                    padding-top: 2px;
                }

                    .section-search-mobile .cards .card .content .header {
                        font-size: 14px !important;
                        font-weight: 500 !important;
                    }

    .mobile-search-container {
        display: block !important;
        text-align: center;
        margin-bottom: 1%;
    }

    .mobile-input-search {
        width: 100%;
        align-items: center;
        height: 40px;
        height: 40px;
        margin-top: 2%;
    }

    .mobile-input-text {
        background-color: #fefefe !important;
        border: 1px solid #0f9202 !important;
        border-radius: 4px !important;
    }

    /*::placeholder {*/ /* Most modern browsers support this now. */
    /*color: black !important;
    }*/

    .search-icon {
        display: block !important;
        height: 28px;
        width: auto;
        margin-top: 0px !important;
        margin-left: 5px;
    }

    .mobile-search-close-icon {
        display: block !important;
        position: absolute;
        right: -10%;
        top: 19%;
    }

    .mobile-search-btn {
        padding: 6px 12px !important;
        margin: 0 !important;
        border-radius: 0 !important;
    }

    ._citylocation-pick {
        padding-left: 0 !important;
    }

    .mobile-grid-city {
        justify-content: space-around !important;
        width: 100%;
        flex-wrap: wrap;
    }

    /*.btn-with-bg {
        width: 100px;
        margin: 3px;
    }*/

    #dropdown-content-sale .btn-text {
        font-size: 12px !important;
    }

    #dropdown-content-sale .dropdown-header {
        /*color: #4CAF50 !important;*/
        margin-top: 4%;
        margin-bottom: 5%;
    }

    #dropdown-content-sale .grid-list {
        display: inline-grid;
        gap: 8px;
        width: 100%;
        justify-content: start;
        align-items: flex-start;
        text-align: start;
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }

    .btn-with-bg {
        max-width: calc(100%/3 - 10px);
        height: 60px;
        margin-bottom: 10px;
    }

    #dropdown-content-sale {
        z-index: 999;
        height: calc(100dvh - 128px);
        margin-bottom: 10px;
        padding-bottom: 0px !important;
    }

    /*    .scrolling.dimmable.dimmed > .dimmer {
        overflow: unset !important;
    }*/

    .tab-item {
        /*overflow: auto;*/
    }

    /*    .ui.fullscreen.modal {
        width: 100% !important; 
    }*/

    .all-city-mobile {
        margin-top: 15px;
        text-align: start;
    }

    .text-start-mobile {
        text-align: start;
        margin-left: 1%;
    }

    #homepage-section {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .mobile-flash-sale {
        width: 128px !important;
    }

    .ui.container.mobile-flashsale-container {
        margin: 0 !important;
    }

    #clockdiv > div {
        left: 34%;
        top: 96%;
        transform: none;
    }

    .ui.modal .image-container img {
        max-width: 95%;
    }

    .mobile-show {
        display: block;
    }

    .custom-scroll-header .item {
        padding: 3px 5px !important;
    }

    .menu-tinh-thanh {
        padding-bottom: 100px;
    }
}

@media (min-width:480px) and (max-width:979px) {
    .search-input-bar ._citylocation-pick {
        width: 25% !important;
        align-content: center;
    }

    #dropdown-menu-sale {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .tablet-no-show {
        display: none;
    }
}
/* Responsive Adjustments */
@media (max-width: 1024px) {
    .slideshow-container {
        height: 260px !important; /* Giảm chiều cao slider */
    }

    .mySlides {
        max-height: 260px !important;
    }

        .mySlides img {
            max-height: 260px !important;
        }


    .prev, .next {
        font-size: 16px; /* Giảm kích thước nút */
        padding: 12px;
    }

    .mobile-container {
        /*margin-top: 15% !important;*/
    }

    .xem-them-tin-tuc-mobile {
        display: block;
        text-align: center;
    }

    .xem-them-tin-tuc {
        display: none;
    }

    .search-container {
        top: 45%;
    }

    .mobile-display {
        display: none !important;
    }
}

@media (max-width: 992px) {

    body main:first-of-type {
        margin-top: 87px !important;
    }
    .cs-search-container__mobile {
        display: block !important;
    }
}

@media (max-width: 768px) {
    body main:first-of-type {
        margin-top: 56px;
    }

    .slideshow-container {
        height: 280px !important; /* Giảm chiều cao cho màn hình nhỏ */
    }

    .mySlides {
        max-height: 280px !important;
    }

        .mySlides img {
            max-height: 280px !important;
        }


    .prev, .next {
        font-size: 14px; /* Nút nhỏ hơn */
        padding: 12px;
    }

    .dot {
        height: 6px;
        width: 6px; /* Dots nhỏ hơn */
    }

    .mobile-container {
        margin-top: 10% !important;
    }

    .ui.items:not(.unstackable) > .item > .image + .content {
        padding: 0 !important;
        padding-left: 10px !important;
    }

    #image1 {
        height: 186px !important;
    }

    #image1-hcm {
        height: 186px !important;
    }

    #image2, .image2 {
        height: 93px !important;
    }

    #image3, .image3 {
        height: 93px !important;
    }

    #image4, .image4 {
        height: 93px !important;
    }

    #image5, .image5 {
        height: 93px !important;
    }

    .xem-them-tin-tuc-mobile {
        display: block;
        text-align: center;
        margin-top: 3%;
    }

    .xem-them-tin-tuc {
        display: none;
    }

    .project-card {
        padding: 14px;
    }

    .knowledge-card {
        padding: 14px;
    }

    .mobile-display {
        display: none !important;
    }
}

@media (max-width: 480px) {
    .main-first-mobile {
        margin-top: 100px !important;
    }

    .slideshow-container {
        height: auto !important;
    }

    .mySlides {
        max-height: 200px !important;
    }

        .mySlides img {
            max-height: 200px !important;
            object-fit: contain;
        }


    .prev, .next {
        /* font-size: 12px;
        padding: 8px;*/
        display: none;
    }

    .dot {
        height: 5px;
        width: 5px; /* Dots nhỏ hơn nữa */
    }

    /*    .mobile-container {
        margin-top: 30% !important;
    }*/

    .ui.items:not(.unstackable) > .item > .image + .content {
        padding: 0 !important;
        padding-left: 10px !important;
    }

    .xem-them-tin-tuc-mobile {
        display: block;
        text-align: center;
        margin-top: 3%;
    }

    .xem-them-tin-tuc {
        display: none;
    }

    .project-card {
        padding: 14px;
    }

    .knowledge-card {
        padding: 14px;
    }

    .project-slider .slick-list {
        margin-left: -12px !important;
    }

    .knowledge-slider .slick-list {
        margin-left: -12px !important;
    }

    #knowledge-service-1 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #knowledge-service-2 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #knowledge-service-3 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #knowledge-service-4 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #homepage-img1, #homepage-img2, #homepage-img3, #homepage-img4, #homepage-img5 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    #mobile-padding-service-1, #mobile-padding-service-2, #mobile-padding-service-3 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
        padding-left: 0 !important;
    }

    .ui.grid + .grid {
        margin-top: 0 !important;
    }

    .mobile-margin-bottom-10 {
        margin-bottom: 10px !important;
    }

    #mobile-padding-img-2, #mobile-padding-img-4 {
        padding-top: 0 !important;
        padding-right: 7px !important;
    }

    #mobile-padding-img-3, #mobile-padding-img-5 {
        padding-top: 0 !important;
        padding-left: 7px !important;
    }

    .mobile-font-weight-400 {
        font-weight: 400;
    }

    main:first-of-type .sixteen.wide.column.stackable.mobile-homepage {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    .search-mobile {
        height: 80px;
        position: fixed;
        max-height: 80px;
        padding: 16px;
        background: #fff;
        display: flex;
        justify-content: center;
        width: 100%;
        bottom: 0;
        transition: bottom 0.35s linear;
        will-change: bottom;
        box-shadow: 0 8px 20px 0px #b6b6b66b;
        margin-left: -7px;
        z-index: 1000;
    }

    #search-container {
        scrollbar-width: none;
    }

    #_list-location-selection-panel {
        max-height: 79dvh;
        scrollbar-width: thin;
        scrollbar-color: #888 #f1f1f1;
        overflow-y: auto;
        padding-bottom: 80px;
    }

    .ui.grid .wide.column.homepage-view {
        padding: 10px 0rem !important;
    }

    .border-highlight {
        border: 2px solid var(--text-highlight) !important;
        border-radius: 8px;
    }

    .custom-scroll-header .item div {
        line-height: 20px;
    }

    .map-color-icon {
        background-color: #80cbc433;
        border-radius: 100px;
        height: 30px !important;
        width: 30px !important;
        align-items: center !important;
        justify-content: center !important;
        display: flex !important;
    }

    .project-color-icon {
        background-color: #80cbc433 !important;
        border-radius: 100px;
        height: 30px !important;
        width: 30px !important;
        align-items: center !important;
        justify-content: center !important;
        display: flex !important;
        color: #2859c5 !important;
    }

    .sub-street {
        font-size: 12px;
        line-height: 16px;
        font-weight: normal !important;
        color: #999;
    }

    .custom-scroll-header .item .icon-active {
        display: none;
        flex-grow: 1;
        text-align: right;
    }

    .custom-scroll-header .item.active .icon-active {
        display: block;
    }

    .map-color-icon {
        background-color: #80cbc433 !important;
        border-radius: 100px;
        height: 30px !important;
        width: 30px !important;
        align-items: center !important;
        justify-content: center !important;
        display: flex !important;
    }
}

@media (max-width: 360px) {
    #_list-location-selection-panel {
        max-height: 74dvh;
    }
}

.text-itemsale, .text-itemsaleprice, .text-itemsalearea, .text-itemproject, .text-itemprojectprice, .text-itemprojectstatus {
    line-height: 19px !important;
}
